package nl.nikhef.safaripark.extra;

public interface StatefulTask {

	/**
	 * Does one iteration of a task.
	 * 
	 * @return		true if completed, false otherwise.
	 */
	public boolean execute();
	
	/**
	 * Returns the progress as a value between 0 and 100, or -1 if unknown.
	 */
	public int getProgress();
	
}
